# Requirements
## Hardware Requirements
* GPU: NVIDIA GTX 1080Ti (11GB Memory)
* CPU: Intel(R) Core(TM) i7-6850K CPU @ 3.60GHz
* Memory: 64GB
* SSD: 1T
## Software Dependency
* OS: Ubuntu 16.04 LTS
* Anaconda 3
* CUDA 10.0, CUDNN 7.6
* Python libraries: Python3.7, Pytorch 1.2.0
# Installation

This document contains detailed instructions for installing the necessary dependencies for **Fast_TregPlus**. 
The instrustions have been tested on an Ubuntu 16.04 system.  

### Fast TregPlus-Related Part
* To prepare for the environment, run the script `install.sh`
```bash
chmod a+x install.sh
./install.sh
```

* Download the pre-trained networks  

Download the networks from [google drive](https://drive.google.com/drive/folders/1LvFGP3uqXwwlWRQezxpE8XFNi5SOWblH) and put them under the `models/` dir.
* Go to `workspace/` and modify some paths  
  Fill in **paths** && **env_PATH** in `trackers.ini` to your real paths.

  ```
  paths = <set to root dir of the submitted source code, example: /home/user/project/FCOT_submit>
  
  env_PATH = /usr/bin:<set to lib dir of your cuda, example: /home/user/cuda-10.0/lib64/>:<set to bin dir of your conda env, example: /home/user/anaconda3/envs/Treg/bin>
  ```

* Run Fast TregPlus and analyze results  
**Note**: After download VOT2021-ST dataset, please move it to SSD or `/dev/shm` for imrpoving I/O speed :)  
You can create a soft link called `sequences/` and put in under `workspace/` dir.
```bash
conda activate Treg
vot evaluate --workspace <source code root>/workspace TREGPython
vot analysis --nocache <source code root>/workspace TREGPython
```

